跳转到主要内容
POST
/
video
/
retrieve
/api/v1/video/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/video/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "video-model-123",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 145000,
  "execution_duration": 53200
}
对于私有模型,已完成的文件通过 /video/queue 返回的 download_url 下载(而非通过此端点以二进制方式返回)。有关下载链接的工作方式、重试机制及可选的 DELETE,请参阅私有下载链接

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
model
string
必填

The ID of the model used for video generation.

示例:

"video-model-123"

queue_id
string
必填

The ID of the video generation request.

示例:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
默认值:false

If true, the video media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the video.

示例:

false

响应

Video file if completed, or processing status if still in progress

status
enum<string>
必填

The status of the video generation request.

可用选项:
PROCESSING,
COMPLETED
示例:

"PROCESSING"

average_execution_time
number
必填

The estimated execution time of the video generation request in milliseconds (P80).

示例:

145000

execution_duration
number
必填

The current duration of the video generation request in milliseconds.

示例:

53200